import java.applet.Applet;
import java.awt.Button;
import java.awt.Component;
import java.awt.Container;
import java.awt.Event;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;

public class FontApplet3 extends Applet {
   Button button;
   int fontNum;

   public void init() {
      this.button = new Button("Next Font");
      ((Container)this).add(this.button);
      this.fontNum = 0;
   }

   public void paint(Graphics var1) {
      Font var2;
      if (this.fontNum == 0) {
         var2 = new Font("Courier", 1, 32);
      } else if (this.fontNum == 1) {
         var2 = new Font("TimesRoman", 1, 32);
      } else {
         var2 = new Font("Helvetica", 1, 32);
      }

      var1.setFont(var2);
      FontMetrics var3 = var1.getFontMetrics(var2);
      int var4 = var3.getHeight();
      int var5 = 80;
      var1.drawString("This is the first line.", 20, var5);
      var5 += var4;
      var1.drawString("This is the second line.", 20, var5);
      var5 += var4;
      var1.drawString("This is the third line.", 20, var5);
      var5 += var4;
      var1.drawString("This is the fourth line.", 20, var5);
   }

   public boolean action(Event var1, Object var2) {
      ++this.fontNum;
      if (this.fontNum == 3) {
         this.fontNum = 0;
      }

      ((Component)this).repaint();
      return true;
   }
}
